For the complete documentation index, see llms.txt. This page is also available as Markdown.

Edit Account Profile Fields

This endpoint allows you to edit an account's profile field within your community.

Edit Account Profile Fields

POST https://api.sonorancms.com/general/edit_acc_profile_fields

Edit profile fields on a community account found by API ID or account ID.

Request Body

Name
Type
Description

id*

string

Community ID

key*

string

API Key

type*

string

CLOCK_IN_OUT

data*

array

Array of request objects

[
    {
        "id": "d9d1288e-3892-40d6-acc5-be2c3d294bd4",
        "value": ["some", "strings", "for", "array"]
    },
    ... // This will return all profile fields that have data associated from the account
]
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "EDIT_ACC_PROFLIE_FIELDS",
    "data": [
        {
            // User Identification
            "apiId": "SOME_API_ID", // Optional - must have one
            "username": "SOMEUSERNAME", // Optional - must have one
            "accId": "SOMEACCID", // Optional - must have one
            "discord": "111122223333444455", // Optional - must have one
            "uniqueId": 1234 // Optional - must have one
            // Configuration
            "profileFields": [
                {
                    "id": "d9d1288e-3892-40d6-acc5-be2c3d294bd4",
                    "value": ["some", "strings", "for", "array"]
                },
                ... // You can supply a min. of one profile field but can take as many "update" objects as needed.
            ]
        }
    ]
}

Last updated

Was this helpful?